RedCrawler API
Moderation V1

Delete Mod Note V1

Delete a moderator note. Requires moderator privileges.

DELETE /api/v1/moderate/notes/delete

Delete a moderator note. Requires moderator privileges.

Query parameters

NameTypeRequiredDescription
subredditstringYesSubreddit name.
note_idstringYesNote ID to delete.
userstringYesUsername the note belongs to.
proxystringNoProxy. Optional if stored in Token Vault.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X DELETE "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/delete?subreddit=test&note_id=<note_id>&user=Motor_Tip8865&proxy=<proxy>&bearer=<bearer>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/delete?subreddit=test&note_id=<note_id>&user=Motor_Tip8865&proxy=<proxy>&bearer=<bearer>", {
  method: "DELETE",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/moderate/notes/delete?subreddit=test&note_id=<note_id>&user=Motor_Tip8865&proxy=<proxy>&bearer=<bearer>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.delete(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "deleted": true
  },
  "error": null,
  "timestamp": "2026-04-29T12:03:54.179533+00:00"
}

On this page